<?php
global $fm, $str;
global $users, $smarty, $config;
if ($users->trafficQuota) {
	$filesize = $fm->getFileSize($data['filePath']);
	if (!$users->trafficQuota->canAdd($filesize)) {
		FileRun::displayTrafficLimitPage();
		exit();
	}
}
$fm->sendFileToBrowser($data['filePath']);
if ($users->trafficQuota) {
	$users->trafficQuota->add($fm->bytesSentToBrowser);
}